Subject: Re: bug#23288: 25.0.92; Clicking on links inserts primary X selection

From: Nils Berg <[email-masked]>
Date: Wed, 11 May 2016 10:32:42 +0200

Still no dice, sorry.  I just tried the patched version with the original
example:
echo -n bar | xsel -i && \
  emacs -Q -eval \
  "(insert (propertize \"foo\" 'follow-link (lambda (pos) \"a\")))"

Now when I click foo nothing happens in the buffer, but there's an error
message:
Function mouse--down-1-maybe-follows-link returns invalid key sequence

I can't think of a reason why though :(

M-x version: GNU Emacs 25.0.93.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.8)

On Wed, May 11, 2016 at 10:14 AM, Eli Zaretskii <[email-masked]> wrote:

> > From: Philipp Stephani <[email-masked]>
> > Date: Tue, 10 May 2016 21:25:47 +0000
> > Cc: [email-masked]
> >
> >  Agreed. https://debbugs.gnu.org/cgi/bugreport.cgi?bug=17887 might also
> be related.
> >
> > I've attached a new patch that should hopefully correct the behavior.
>
> Thanks.  If no one objects in a week, please push to the master
> branch.
>